--- src/3rdparty/chromium/third_party/zlib/BUILD.gn.orig	2024-07-03 01:14:49 UTC
+++ src/3rdparty/chromium/third_party/zlib/BUILD.gn
@@ -140,7 +140,7 @@ if (use_arm_neon_optimizations) {
     defines = [ "CRC32_ARMV8_CRC32" ]
     if (is_android) {
       defines += [ "ARMV8_OS_ANDROID" ]
-    } else if (is_linux || is_chromeos) {
+    } else if ((is_linux || is_chromeos) && !is_bsd) {
       defines += [ "ARMV8_OS_LINUX" ]
     } else if (is_mac) {
       defines += [ "ARMV8_OS_MACOS" ]
@@ -150,6 +150,10 @@ if (use_arm_neon_optimizations) {
       defines += [ "ARMV8_OS_FUCHSIA" ]
     } else if (is_win) {
       defines += [ "ARMV8_OS_WINDOWS" ]
+    } else if (is_openbsd) {
+      defines += [ "ARMV8_OS_OPENBSD" ]
+    } else if (is_freebsd) {
+      defines += [ "ARMV8_OS_FREEBSD" ]
     } else {
       assert(false, "Unsupported ARM OS")
     }
@@ -461,7 +465,7 @@ static_library("bundled_minizip") {
     ]
   }
 
-  if (is_apple || is_android || is_nacl) {
+  if (is_apple || is_android || is_nacl || is_bsd) {
     # Mac, Android and the BSDs don't have fopen64, ftello64, or fseeko64. We
     # use fopen, ftell, and fseek instead on these systems.
     defines = [ "USE_FILE32API" ]
